*       *********************************************************
*       *                                                         
*       * 07/15/94             NoChgs.PRG                 09:30am 
*       *                                                         
*       *********************************************************
*       *                                                         
*       * Shawn Kelly
*       * Inventive Software
*       * 15 Laurel Ridge Road                                                        
*       * Tolland, CT  06084
*       * (203) 870-8437
*       *
*       * This program compares the fields in the current 
*       * database with SCATTERed MEMVAR/ARRAY memory variables,
*       * returns .T. or .F. based on the comparisons.
*       *       
*       *********************************************************
*
PROCEDURE NoChgs
*
PARAMETERS aCompare
*
PRIVATE vISArray, vNumFields, vX, vFld1, vFld2
*
IF USED()
	vNumFields = AFIELDS(aCurrDBF)
ELSE
	WAIT WINDOW "No database open in current work area!" NOWAIT
	RETURN .F.
ENDIF
*
vISArray = !EMPTY(aCompare)
*
FOR vX = 1 TO vNumFields
	vFld1 = &aCurrDBF[vX, 1]
	IF vISArray
		vFld2 = &aCompare[vX]
	ELSE
		vFld2 = "m." + TRIM(aCurrDBF[vX, 1])
		vFld2 = &vFld2
	ENDIF
	IF vFld1 == vFld2
		LOOP
	ELSE
		RETURN .F.
	ENDIF
ENDFOR
*
RETURN .T.
*
